package ab.issue.db.model;

import android.arch.persistence.room.Embedded;

import ab.issue.model.Barcode;
import ab.issue.model.values.SmsBarcodeFormat;

public class SmsBarcode extends BarcodeFormatValueWrapper<SmsBarcodeFormat> {

    @Embedded
    public Barcode barcode;

    @Embedded
    public SmsBarcodeFormat smsBarcodeFormat;

    @Override
    protected Barcode getBarcode() {
        return barcode;
    }

    @Override
    protected SmsBarcodeFormat getFormatValue() {
        return smsBarcodeFormat;
    }
}
